#include <math.h>
#include <stdio.h>

#include "portaudio.h"
#include "pablio.h"

/*******************************************************************************************

Port Audio supports the "push" model using pablio.  To use pablio:

   PABLIO_Stream *stream;
   OpenAudioStream(&stream, 44100, paFloat32, PABLIO_WRITE | PABLIO_MONO);

   // ... calculate some samples ...

   WriteAudioStream(stream, samples, BUFFER_SIZE);

   CloseAudioStream(stream);

 
The basic Port Audio API uses the pull model:
 
   PortAudioStream *stream;
   Pa_Initialize();
   Pa_OpenDefaultStream(&stream,
                        0,              // no input channels
                        1,              // mono output
                        paFloat32,      // 32 bit floating point output
                        44100,
                        BUFFER_SIZE,
                        0,
                        AudioCallback,  // the callback function
                        NULL);

   Pa_StartStream(stream);
 
The audio callback is defined as:
 
   int AudioCallback(void *inputBuffer, void *outputBuffer, unsigned long framesPerBuffer, 
                     PaTimestamp outTime, void *pUserData);
 
*******************************************************************************************/
int main (int argc, char * const argv[])
{
   printf("Hello World\n");

   return 0;
}
